Bug 1078186 - [GSS] (6.4.0) Connection re-used in a inconsistent state despite 'Connection: close' after successful authentication
Summary: [GSS] (6.4.0) Connection re-used in a inconsistent state despite 'Connection:...
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: DR1
: EAP 6.4.0
Assignee: Weinan Li
QA Contact: Katerina Odabasi
URL: https://c.na7.visual.force.com/apex/C...
Whiteboard:
Keywords:
Depends On:
Blocks: 1120064 1123871
TreeView+ depends on / blocked
 
Reported: 2014-03-19 11:04 UTC by Shaun Appleton
Modified: 2018-12-09 17:39 UTC (History)
8 users (show)

(edit)
** Bug fix text needed

In this release of JBoss EAP 6, when sending a client request multiple times, the connection is not handled properly by the underlying httpClient. 
RESTeasy is using module `org.apache.httpcomponents` provided by JBoss EAP which is currently in version 4.2.1-redhat-1. The version 4.2.6 of `org.apache.httpcomponents` fixes the problem.
Clone Of:
: 1123871 (view as bug list)
(edit)
Last Closed:
smumford: needinfo-


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RESTEASY-1043 Major Closed ClientProtocolException resulting from HttpClient connection handling bug HTTPCLIENT-1340 2017-05-31 13:09 UTC

Description Shaun Appleton 2014-03-19 11:04:07 UTC
Customer is using RestEasy and see the issue described in https://issues.apache.org/jira/browse/HTTPCLIENT-1340 : Connection re-used in a inconsistent state despite 'Connection: close' after successful authentication 

One solution here could be to upgrade httpclient and httpcore to 4.2.6 
(see https://bugzilla.redhat.com/show_bug.cgi?id=1076434)

Comment 1 Petr Sakař 2014-03-19 11:20:24 UTC
dependencies 
org.apache.httpcomponents:httpclient:4.2.1-redhat-1
org.apache.httpcomponents:httpcore:4.2.1-redhat-1
org.apache.httpcomponents:httpmime:4.2.1-redhat-1
are provided by EAP module org.apache.httpcomponents

this module is used by modules
	org.jboss.resteasy.resteasy-jaxrs
	com.redhat.gss.redhat-support-lib-java

Note:
jboss-eap-6.3.0.DR4-all-GAVs.txt contains two other dependencies not found in EAP 6.3 or distributed maven repo
org.apache.httpcomponents:httpcomponents-client:4.2.1-redhat-1
org.apache.httpcomponents:httpcomponents-core:4.2.1-redhat-1

Comment 6 Scott Mumford 2014-07-04 00:58:08 UTC
Set the Target Release to TBD EAP 6  so that this bug appears in Release Notes dashboards and can be included as required.

Weinan,Katerina, could you please supply some information about this issue for inclusion in the 6.3.0 Release Notes (Known Issues)?

Comment 7 Katerina Odabasi 2014-07-04 09:16:27 UTC
Hi Scott, a brief description:

When sending client request multiple times, connection is not handled properly by the underlying httpClient. Resteasy is using module org.apache.httpcomponents provided by EAP which is currently in version 4.2.1-redhat-1. The version 4.2.6 of org.apache.httpcomponents fixes the problem.

Comment 8 Scott Mumford 2014-07-07 21:19:32 UTC
Thanks Katerina.

I've added a release note text and marked this for inclusion in the 6.3.0 Release Notes.

Comment 9 Weinan Li 2014-07-16 08:17:22 UTC
PR for upstream: https://github.com/resteasy/Resteasy/pull/522/files

Comment 10 Weinan Li 2014-07-16 08:25:24 UTC
PR for upstream Branch_2_3: https://github.com/resteasy/Resteasy/pull/523

Comment 12 Kabir Khan 2014-08-22 15:50:59 UTC
Should be fixed by org.apache.httpcomponents 4.2.6 upgrade, setting to MODIFIED. https://bugzilla.redhat.com/show_bug.cgi?id=1120064

Comment 13 Katerina Odabasi 2014-09-26 08:03:18 UTC
Verified in EAP 6.4.0.DR2.

Comment 15 JBoss JIRA Server 2015-04-19 17:03:38 UTC
Ron Sigal <ron.sigal@jboss.com> updated the status of jira RESTEASY-1043 to Resolved

Comment 16 JBoss JIRA Server 2015-04-19 17:03:53 UTC
Ron Sigal <ron.sigal@jboss.com> updated the status of jira RESTEASY-1043 to Closed


Note You need to log in before you can comment on or make changes to this bug.